Bug 1296312 - unable to convert thin meta|data volume residing on a shared VG
Summary: unable to convert thin meta|data volume residing on a shared VG
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2
Version: 7.2
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: David Teigland
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1468052
TreeView+ depends on / blocked
 
Reported: 2016-01-06 21:20 UTC by Corey Marthaler
Modified: 2017-07-05 23:13 UTC (History)
7 users (show)

Fixed In Version: lvm2-2.02.156-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1468052 (view as bug list)
Environment:
Last Closed: 2016-11-04 04:14:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1445 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2016-11-03 13:46:41 UTC

Description Corey Marthaler 2016-01-06 21:20:26 UTC
Description of problem:
This appears similar to bug 1264972.

# non lvmlockd

[root@host-121 ~]# lvs -a -o +devices
  LV              VG            Attr       LSize Pool Origin Data% Meta% Devices
  POOL            snapper_thinp twi-aotz-- 4.00g             0.00  1.86  POOL_tdata(0)
  [POOL_tdata]    snapper_thinp Twi-ao---- 4.00g                         /dev/sdc1(1)
  [POOL_tmeta]    snapper_thinp ewi-ao---- 4.00m                         /dev/sde1(0)
  [lvol0_pmspare] snapper_thinp ewi------- 4.00m                         /dev/sdc1(0)

[root@host-121 ~]# lvconvert --type raid1 -m 1 snapper_thinp/POOL_tdata

[root@host-121 ~]# lvs -a -o +devices
  LV                    VG            Attr       LSize Pool Origin Data% Meta% Cpy%Sync Devices
  POOL                  snapper_thinp twi-aotz-- 4.00g             0.00  1.86           POOL_tdata(0)
  [POOL_tdata]          snapper_thinp rwi-aor--- 4.00g                         0.00     POOL_tdata_rimage_0(0),POOL_tdata_rimage_1(0)
  [POOL_tdata_rimage_0] snapper_thinp Iwi-aor--- 4.00g                                  /dev/sdc1(1)
  [POOL_tdata_rimage_1] snapper_thinp Iwi-aor--- 4.00g                                  /dev/sda1(1)
  [POOL_tdata_rmeta_0]  snapper_thinp ewi-aor--- 4.00m                                  /dev/sdc1(1025)
  [POOL_tdata_rmeta_1]  snapper_thinp ewi-aor--- 4.00m                                  /dev/sda1(0)
  [POOL_tmeta]          snapper_thinp ewi-ao---- 4.00m                                  /dev/sde1(0)
  [lvol0_pmspare]       snapper_thinp ewi------- 4.00m                                  /dev/sdc1(0)



# lvmlockd

[root@mckinley-03 ~]# lvs -a -o +devices
  LV              VG             Attr       LSize   Pool Origin Data% Meta%  Devices
  [lvmlock]       global         -wi-ao---- 256.00m                          /dev/mapper/mpathd1(0)
  POOL            snapper_thinp  twi-aotz--   4.00g             0.00  1.86   POOL_tdata(0)
  [POOL_tdata]    snapper_thinp  Twi-ao----   4.00g                          /dev/mapper/mpathc1(65)
  [POOL_tmeta]    snapper_thinp  ewi-ao----   4.00m                          /dev/mapper/mpathg1(0) 
  [lvmlock]       snapper_thinp  -wi-ao---- 256.00m                          /dev/mapper/mpathc1(0) 
  [lvol0_pmspare] snapper_thinp  ewi-------   4.00m                          /dev/mapper/mpathc1(64)

[root@mckinley-03 ~]# lvconvert --type raid1 -m 1 snapper_thinp/POOL_tdata
  Lock on incorrect thin lv type snapper_thinp/POOL_tdata


Version-Release number of selected component (if applicable):
3.10.0-325.el7.x86_64

lvm2-2.02.130-5.el7    BUILT: Wed Oct 14 08:27:29 CDT 2015
lvm2-libs-2.02.130-5.el7    BUILT: Wed Oct 14 08:27:29 CDT 2015
lvm2-cluster-2.02.130-5.el7    BUILT: Wed Oct 14 08:27:29 CDT 2015
device-mapper-1.02.107-5.el7    BUILT: Wed Oct 14 08:27:29 CDT 2015
device-mapper-libs-1.02.107-5.el7    BUILT: Wed Oct 14 08:27:29 CDT 2015
device-mapper-event-1.02.107-5.el7    BUILT: Wed Oct 14 08:27:29 CDT 2015
device-mapper-event-libs-1.02.107-5.el7    BUILT: Wed Oct 14 08:27:29 CDT 2015
device-mapper-persistent-data-0.5.5-1.el7    BUILT: Thu Aug 13 09:58:10 CDT 2015
cmirror-2.02.130-5.el7    BUILT: Wed Oct 14 08:27:29 CDT 2015
sanlock-3.2.4-1.el7    BUILT: Fri Jun 19 12:48:49 CDT 2015
sanlock-lib-3.2.4-1.el7    BUILT: Fri Jun 19 12:48:49 CDT 2015
lvm2-lockd-2.02.130-5.el7    BUILT: Wed Oct 14 08:27:29 CDT 2015

Comment 2 David Teigland 2016-06-10 20:26:46 UTC
I don't recall fixing this, but it works for me now.

# lvs -a cc
  LV              VG Attr       LSize   Data%  Meta%  
  [lvmlock]       cc -wi-ao---- 256.00m               
  [lvol0_pmspare] cc ewi-------   1.00g               
  pool            cc twi-a-tz--   1.00g 0.00   0.01   
  [pool_tdata]    cc Twi-ao----   1.00g               
  [pool_tmeta]    cc ewi-ao----   1.00g               

# lvconvert --type raid1 -m 1 cc/pool_tdata 

# lvs -a cc
  LV                    VG Attr       LSize   Data%  Meta%  Cpy%Sync 
  [lvmlock]             cc -wi-ao---- 256.00m                        
  [lvol0_pmspare]       cc ewi-------   1.00g                        
  pool                  cc twi-a-tz--   1.00g 0.00   0.01            
  [pool_tdata]          cc rwi-aor---   1.00g               100.00   
  [pool_tdata_rimage_0] cc iwi-aor---   1.00g                        
  [pool_tdata_rimage_1] cc iwi-aor---   1.00g                        
  [pool_tdata_rmeta_0]  cc ewi-aor---   4.00m                        
  [pool_tdata_rmeta_1]  cc ewi-aor---   4.00m                        
  [pool_tmeta]          cc ewi-ao----   1.00g

Comment 4 Corey Marthaler 2016-08-03 21:26:08 UTC
Marking verified in the latest rpms. The conversion works now, however due to bug 1347048, a reactivation is required in order for the raid to properly sync.



[root@harding-02 ~]# lvs -a -o +devices
  LV              VG             Attr       LSize   Pool Origin Data%  Meta% Devices
  [lvmlock]       global         -wi-ao---- 256.00m                          /dev/mapper/mpathf1(0)
  POOL            snapper_thinp  twi-aot---   4.00g             0.01   1.86  POOL_tdata(0)
  [POOL_tdata]    snapper_thinp  Twi-ao----   4.00g                          /dev/mapper/mpathh1(65)
  [POOL_tmeta]    snapper_thinp  ewi-ao----   4.00m                          /dev/mapper/mpathg1(0)
  [lvmlock]       snapper_thinp  -wi-ao---- 256.00m                          /dev/mapper/mpathh1(0)
  [lvol0_pmspare] snapper_thinp  ewi-------   4.00m                          /dev/mapper/mpathh1(64)
  origin          snapper_thinp  Vwi-a-t---   1.00g POOL        0.01
  other1          snapper_thinp  Vwi-a-t---   1.00g POOL        0.01
  other2          snapper_thinp  Vwi-a-t---   1.00g POOL        0.01
  other3          snapper_thinp  Vwi-a-t---   1.00g POOL        0.01
  other4          snapper_thinp  Vwi-a-t---   1.00g POOL        0.01
  other5          snapper_thinp  Vwi-a-t---   1.00g POOL        0.01
  pool_convert    snapper_thinp  Vwi-a-t---   1.00g POOL origin 0.01

[root@harding-02 ~]# lvconvert --type raid1 -m 1 snapper_thinp/POOL_tdata

[root@harding-02 ~]# lvs -a -o +devices
  Expected raid segment type but got linear instead
  LV                    VG             Attr       LSize   Pool Origin Data%  Meta% Cpy%Sync Devices
  [lvmlock]             global         -wi-ao---- 256.00m                                   /dev/mapper/mpathf1(0)
  POOL                  snapper_thinp  twi-aot---   4.00g             0.01   1.86           POOL_tdata(0)
  [POOL_tdata]          snapper_thinp  rwi-aor-r-   4.00g                          0.00     POOL_tdata_rimage_0(0),POOL_tdata_rimage_1(0)
  [POOL_tdata_rimage_0] snapper_thinp  Iwi---r---   4.00g                                   /dev/mapper/mpathh1(65)
  [POOL_tdata_rimage_1] snapper_thinp  Iwi---r---   4.00g                                   /dev/mapper/mpathb1(1)
  [POOL_tdata_rmeta_0]  snapper_thinp  ewi---r---   4.00m                                   /dev/mapper/mpathh1(1089)
  [POOL_tdata_rmeta_1]  snapper_thinp  ewi---r---   4.00m                                   /dev/mapper/mpathb1(0)
  [POOL_tmeta]          snapper_thinp  ewi-ao----   4.00m                                   /dev/mapper/mpathg1(0)
  [lvmlock]             snapper_thinp  -wi-ao---- 256.00m                                   /dev/mapper/mpathh1(0)
  [lvol0_pmspare]       snapper_thinp  ewi-------   4.00m                                   /dev/mapper/mpathh1(64)
  origin                snapper_thinp  Vwi-a-t---   1.00g POOL        0.01
  other1                snapper_thinp  Vwi-a-t---   1.00g POOL        0.01
  other2                snapper_thinp  Vwi-a-t---   1.00g POOL        0.01
  other3                snapper_thinp  Vwi-a-t---   1.00g POOL        0.01
  other4                snapper_thinp  Vwi-a-t---   1.00g POOL        0.01
  other5                snapper_thinp  Vwi-a-t---   1.00g POOL        0.01
  pool_convert          snapper_thinp  Vwi-a-t---   1.00g POOL origin 0.01


3.10.0-480.el7.x86_64

lvm2-2.02.161-3.el7    BUILT: Thu Jul 28 09:31:24 CDT 2016
lvm2-libs-2.02.161-3.el7    BUILT: Thu Jul 28 09:31:24 CDT 2016
lvm2-cluster-2.02.161-3.el7    BUILT: Thu Jul 28 09:31:24 CDT 2016
device-mapper-1.02.131-3.el7    BUILT: Thu Jul 28 09:31:24 CDT 2016
device-mapper-libs-1.02.131-3.el7    BUILT: Thu Jul 28 09:31:24 CDT 2016
device-mapper-event-1.02.131-3.el7    BUILT: Thu Jul 28 09:31:24 CDT 2016
device-mapper-event-libs-1.02.131-3.el7    BUILT: Thu Jul 28 09:31:24 CDT 2016
device-mapper-persistent-data-0.6.3-1.el7    BUILT: Fri Jul 22 05:29:13 CDT 2016
cmirror-2.02.161-3.el7    BUILT: Thu Jul 28 09:31:24 CDT 2016
sanlock-3.3.0-1.el7    BUILT: Wed Feb 24 09:52:30 CST 2016
sanlock-lib-3.3.0-1.el7    BUILT: Wed Feb 24 09:52:30 CST 2016
lvm2-lockd-2.02.161-3.el7    BUILT: Thu Jul 28 09:31:24 CDT 2016

Comment 6 errata-xmlrpc 2016-11-04 04:14:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1445.html


Note You need to log in before you can comment on or make changes to this bug.